*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
}
body{
    width: 100%;
    height: 100vh;
}

.chat-container{
    width: 100%;
    height: 80%;
    background-color: rgb(45, 52, 59);
    overflow-y: auto;
    padding: 20px;
    display: flex;
    flex-direction: column;
    gap: 20px;
    scroll-behavior: smooth;
    font-size: 20px;
}

.user-chat-box{
    width: 60%;
    position: relative;
    left: 40%;
    margin-left:10px ;
}

.ai-chat-box{
    width: 80%;
    position: relative;
    margin-right: 10px;
}

.user-chat-area {
    width: 90%;
    padding: 20px;
    background-color: black;
    color: white;
    border-radius: 40px 0 40px 40px;
    box-shadow: 2px 2px 10px black;
}

.ai-chat-area{
    width: 90%;
    padding: 20px;
    background-color: rgba(0, 0, 0, 0.4);
    color: white;
    position: relative;
    left: 10%;
    border-radius: 0 40px 40px 40px;
    box-shadow: 2px 2px 10px black;
}

#userImage{
    position: absolute;
    right: 0;
    filter: drop-shadow(2px 2px 5px black);
    border-radius: 50px 50px  50px 50px;
}

#aiImage{
    position: absolute;
    left: 0;
    border-radius: 50px 50px 50px 50px;
    filter: drop-shadow(2px 2px 5px black);
}

.prompt-area{
    width: 100%;
    height: 20%;
    background-color: rgb(45, 52, 59);
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 20px;
}

.prompt-area input{
    width: 50%;
    height: 80px;
    background-color: black;
    outline: none;
    border-radius: 25px;
    border: none;
    padding: 0 20px;
    font-size: 18px;
    color:white;
    box-shadow: 2px 2px 10px black;
}

.prompt-area button{
    width: 70px;
    height: 70px;
    border-radius: 50%;
    border: none;
    background-color: black;
    color: white;
    box-shadow: 2px 2px 10px black; 
    cursor: pointer;
}

.prompt-area button:hover{
    background-color: rgba(0 , 0, 0, 0.4);
    color: black;
    transition: 0.5s;
}

.load{
    filter: drop-shadow(2px 2px 10px black);
}

.choose{
    width: 50px;
    height: 50px;
    border-radius: 50%;
}

#image{
    display: flex;
    align-items: center;
    justify-content: center; 
}

@media (max-width: 400px) {
    .user-chat-box{
        width: 90%;
        left: 10%;
    }
    .ai-chat-box{
        width: 90%;
        margin-right: 0;
    }
    .user-chat-area {
        width: 100%;
    }
    .ai-chat-area{
        width: 100%;
        left: 0;
    }
    .prompt-area input{
        width: 60%;
        height: 60px;
        font-size: 16px;
    }
    .prompt-area button{
        width: 50px;
        height: 50px;
    }
}